## Apache Zeta Components Manual :: Docs For Class ezcImageException

### ImageConversion::ezcImageException

### Class ezcImageException

General exception container for the ImageConversion component.

Source for this file: /ImageConversion/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcImageException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcImageTransformationAlreadyExistsException | Thrown if a transformation with the given name already exists.
ezcImageHandlerSettingsInvalidException | Thrown if invalid handler settings are submitted when creating an ezcImageConverter.
ezcImageMimeTypeUnsupportedException | Thrown if a requested MIME type is not supported for input, output or input/output.
ezcImageInvalidFilterParameterException | Thrown if the given filter failed.
ezcImageFileNameInvalidException | Thrown if a given file name contains illegal characters (', ", $).
ezcImageTransformationNotAvailableException | Thrown if a transformation with the given name does not exists.
ezcImageInvalidReferenceException | Thrown if no valid image reference could be found for an action (conversion, filter, load, save,...).
ezcImageHandlerNotAvailableException | Thrown if a specified handler class is not available.
ezcImageFilterFailedException | Thrown if the given filter failed.
ezcImageTransformationException | Exception to be thrown be ezcImageTransformation classes.
ezcImageFilterNotAvailableException | Thrown if the given filter is not available.
ezcImageFileNotProcessableException | Thrown if a file could not be processed by a handler.
ezcImageMissingFilterParameterException | Thrown if an expected parameter for a filter was not submitted.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3